package com.lz.modules.app.enums;

public enum  FlowNodeEnum {

    startNode("开始", "startNode"),
    endNode("结束", "endNode"),
    tempNode("案例", "tempNode"),
    ifNode("条件", "ifNode"),
    expandNode("分组", "expandNode"),
    nodeNode("节点", "nodeNode");

    private String name;
    private String desc ;

    FlowNodeEnum(String name, String desc) {
        this.name = name;
        this.desc = desc;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public static void main(String[] args) {
        System.out.println(FlowNodeEnum.endNode.desc);
    }
}
